---
lang: en
title: 'API docs: context.resolutionerror._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.resolutionerror._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ResolutionError](./context.resolutionerror.md) &gt; [(constructor)](./context.resolutionerror._constructor_.md)

## ResolutionError.(constructor)

Constructs a new instance of the `ResolutionError` class

**Signature:**

```typescript
constructor(message: string, resolutionCtx: Partial<ResolutionContext>);
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

message


</td><td>

string


</td><td>


</td></tr>
<tr><td>

resolutionCtx


</td><td>

Partial&lt;[ResolutionContext](./context.resolutioncontext.md)<!-- -->&gt;


</td><td>


</td></tr>
</tbody></table>

